<?php

/**
 * Page de traitement permettant l'export des alias virtuels d'un utilisateur.
 * Elle est appelée par un bouton de la page des paramètres.
 */

session_start();
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
if (testPrivileges()!="administrateur") {
	header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/import_export.php");

$types_donnees_a_exporter=array();
if (isset($_POST['export_alias_virtuels']) && $_POST['export_alias_virtuels']==="on") {
	array_push($types_donnees_a_exporter, 'alias_virtuels');
}
if (isset($_POST['export_domaines']) && $_POST['export_domaines']==="on") {
	array_push($types_donnees_a_exporter, 'domaines');
}
if (isset($_POST['export_liste_noire_destinataires']) && $_POST['export_liste_noire_destinataires']==="on") {
	array_push($types_donnees_a_exporter, 'liste_noire_destinataires');
}
if (isset($_POST['export_liste_noire_expediteurs']) && $_POST['export_liste_noire_expediteurs']==="on") {
	array_push($types_donnees_a_exporter, 'liste_noire_expediteurs');
}
if (isset($_POST['export_utilisateurs']) && $_POST['export_utilisateurs']==="on") {
	array_push($types_donnees_a_exporter, 'utilisateurs');
}

exportDonneesMessagerie($pdo,$types_donnees_a_exporter);
header ("Location: /pages/gestion/administration.php?page=parametres");
die();

?>